//===========================================================================//
// File:	cnslmsgs.cpp                                                        //
// Project: MUNGA           Brick:	                       						  //
// Contents: Console messages						  										  //
//---------------------------------------------------------------------------//
//   Date    Who  Modification                                               //
// --------  ---  -----------------------------------------------------------//
// 06/02/95  ECH  Initial coding.                                            //
//	06/03/95  GAH	Added corresponding Macintosh message defintions.			  //
// 10/05/95	 GAH	Added ConsoleApplicationEndMissionMessage.					  //
//---------------------------------------------------------------------------//
// Copyright (C) 1994-1995, Virtual World Entertainment, Inc.                //
// All Rights reserved worldwide                                             //
// This unpublished sourcecode is PROPRIETARY and CONFIDENTIAL               //
//===========================================================================//

#include <munga.hpp>
#pragma hdrstop

#if !defined(APPMSG_HPP)
#	include <appmsg.hpp>
#endif

#if !defined(APP_HPP)
#	include <app.hpp>
#endif

//~~~~~~~~~~~~~~~~~~~~~ Application__StateQueryMessage ~~~~~~~~~~~~~~~~~~~~~~~~
Application__StateQueryMessage::Application__StateQueryMessage(
	HostID requesting_host
):
   NetworkClient::Message(
      Application::StateQueryMessageID,
      sizeof(Application__StateQueryMessage)
	)
{
	requestingHost = requesting_host;
}

//~~~~~~~~~~~~~~~~~~~~~~ Application__RunMissionMessage ~~~~~~~~~~~~~~~~~~~~~~~
Application__RunMissionMessage::Application__RunMissionMessage():
   NetworkClient::Message(
      Application::RunMissionMessageID,
      sizeof(Application__RunMissionMessage)
   )
{
}

//~~~~~~~~~~~~~~~~~~~~~~ Application__StopMissionMessage ~~~~~~~~~~~~~~~~~~~~~~
Application__StopMissionMessage::Application__StopMissionMessage(Enumeration exit_code):
   NetworkClient::Message(
      Application::StopMissionMessageID,
		sizeof(Application__StopMissionMessage)
   )
{
	exitCode = exit_code;
}

//~~~~~~~~~~~~~~~~~~~~~~ Application__AbortMissionMessage ~~~~~~~~~~~~~~~~~~~~~~
Application__AbortMissionMessage::Application__AbortMissionMessage(Enumeration exit_code):
   NetworkClient::Message(
      Application::AbortMissionMessageID,
		sizeof(Application__AbortMissionMessage)
   )
{
	exitCode = exit_code;
}

//~~~~~~~~~~~~~~~~~~~~ Application__SuspendMissionMessage ~~~~~~~~~~~~~~~~~~~~~
Application__SuspendMissionMessage::Application__SuspendMissionMessage():
   NetworkClient::Message(
		Application::SuspendMissionMessageID,
		sizeof(Application__SuspendMissionMessage)
   )
{
}

//~~~~~~~~~~~~~~~~~~~~ Application__ResumeMissionMessage ~~~~~~~~~~~~~~~~~~~~~~
Application__ResumeMissionMessage::Application__ResumeMissionMessage():
   NetworkClient::Message(
		Application::ResumeMissionMessageID,
		sizeof(Application__ResumeMissionMessage)
   )
{
}

//==============================================================================
